<DOCTYPE html>
    <html>
        <head>
            <title>Exemple 1</title>
        </head>
        <body>
            <h1>API REST - VIDEOTUTORIAL I</h1>
            <br />
            <div id="elements"></div> <!--On es pujarà el resultat de la consulta a l'API-->
        </body>
        <script>

            var xmlhttp = new XMLHttpRequest
            var url = 'https://jsonplaceholder.typicode.com/posts/1/comments'

            xmlhttp.onreadystatechange=function(){

                if(this.readyState==4 && this.status==200){

                var myArr = JSON.parse(this.responseText);
                console.log(myArr);

                myfunction(myArr)
                }
            }

            xmlhttp.open("GET", url, true);
            xmlhttp.send();

            function myfunction(array){

                var sortida="";
        
                for(var i=0;i<array.length;i++){
                    sortida +=array[i].id + ". " + array[i].email + "<br \>";
                    console.log(array[0].id + ". " + array[0].email);
                }
                
                document.getElementById("elements").innerHTML=sortida

            };
        </script>
    </html>
</DOCTYPE>